Skip to content

Place Simple Buy/Sell order

POST
/v1/simple/{currencyPair}/order

Submit an order to buy or sell instantly using Simple Buy/Sell. Example usage of payInCurrency and side for the BTCUSDC currency pair: If you want to sell BTC for USDC, payInCurrency will be BTC and the side would be SELL. If you want to buy BTC with USDC, payInCurrency will be USDC and the side would be BUY. Example usage for the ETHBTC currency pair: If you want to sell ETH for BTC, payInCurrency will be ETH and the side would be SELL. If you want to buy ETH with BTC, payInCurrency will be BTC and the side would be BUY.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

The currency pair to place a simple order for. Any currency pair that supports the "simple" order type can be specified.

Type
string
Required

Request Body

application/json
JSON
{
"payInCurrency": "DAI",
"payAmount": "1.98603",
"side": "SELL"
}

Responses

Order accepted

application/json

Playground

Authorization
Variables
Key
Value
Body

Samples